### Method

# Gtk TextBuffer insert_range_interactive

#### Declaration [src]

    gboolean
    gtk_text_buffer_insert_range_interactive (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      const GtkTextIter* start,
      const GtkTextIter* end,
      gboolean default_editable
    )

#### Description [src]

Copies text, tags, and paintables between `start` and `end` and inserts the copy at `iter`.

Same as gtk_text_buffer_insert_range(), but does nothing if the insertion point isn’t editable. The `default_editable` parameter indicates whether the text is editable at `iter` if no tags enclosing `iter` affect editability. Typically the result of gtk_text_view_get_editable() is appropriate here.

#### Parameters

`iter` | `GtkTextIter`
| A position in `buffer`.
| The data is owned by the caller of the function.
`start` | `GtkTextIter`
| A position in a `GtkTextBuffer`.
| The data is owned by the caller of the function.
`end` | `GtkTextIter`
| Another position in the same buffer as `start`.
| The data is owned by the caller of the function.
`default_editable` | `gboolean`
| Default editability of the buffer.

#### Return value

Returns: | `gboolean`
| Whether an insertion was possible at `iter`.